ws-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jason van Zyl <jvan...@zenplex.com>
Subject Re: How to build
Date Thu, 21 Feb 2002 14:44:30 GMT
On Thu, 2002-02-21 at 03:03, Martin Skopp wrote:
> Hi Developers,
> 
> At 15:25 20.02.2002 -0800, you wrote:
> >It probably means that the version of Ant you're using is too old.
> >What's the output of `ant -version`?  I would expect Ant 1.3 to work,
> >and know Ant 1.4+ works.
> 
> Shouldn't a decent version of ant be part of the archive (in a "lib" dir)?
> Together with a smart build.bat / build.sh (which invokes ant properly) in 
> the root directory!?

Nope, certainly not. If you install Ant properly you don't need several
copies of the Ant JAR lying around. I build 92 projects (just for fun
:-)) on a regular basis so if each one of these had their own Ant jar
things would get pretty out of hand.
 
> Don't know about any apache conventions, but that's the way we organise our 
> CVS sources here...
> 
> Just a idea...

I much prefer the 'You have to install Ant' option.

> Martin Skopp
> -- 
> Erst lesen, dann schreiben: http://learn.to/quote
> 
> Riege Software International GmbH
> http://www.riege.com  info: mailto:info@riege.com
> Support: mailto:maint@riege.de
-- 
jvz.

Jason van Zyl
jvanzyl@apache.org

http://tambora.zenplex.org


Mime
View raw message